require("luamd5")
require("localcommand")
require("forceconvar")

	local c = CreateConVar
	function CreateConVar(cvar , d , e , f , g)	//it overrides CreateConVar so we dont get detected on that.
		if cvar == "lua_openscript_cl" then
			return false 
		end 
	return c(cvar , d , e , f , g)
	end

	function GetConVarString(cvar)  // it overrides GetConVarString,
		//print("Not checking cvar "..cvar) 
	end

	function GetConVar(cvarstring) // it overrides GetConVar, Will break things
		//print("I'm not checking convar "..cvarstring)
	end

	hook.Add("UpdateLuaMD5", "LMD5", function()	//Make sure we dont send ANY lua data to server
		return "Undefined" //Undefined is the same state as when you is connecting, so you dont send any lua data.
	end)

	local function RunHacks()	//Runs the hack
		LocalCommand("lua_openscript_cl autorun/client/wallhack.lua") //Just add a new line if you need more hacks added
		print("Ran hacks on client!")
	end
	concommand.Add( "hack_runhacks", RunHacks )


	local function ForceScript() //Force sv_scriptenforcer to 0 			USE THIS FIRST!!!
		ForceConVar(CreateConVar("sv_scriptenforcer" , "" ) , 0 )
		print("sv_scriptenforcer 0 is ON")
	end
	concommand.Add( "hack:scriptenforcer", ForceScript )